%define upstream_name Net-FreeDB
%define upstream_version 0.10

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 5

Summary:	Perl interface to freedb server(s)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(CDDB::File)
BuildRequires:	perl(Moo)
BuildRequires:	perl(Test::Most)
BuildRequires:	perl-devel

%description
Net::FreeDB is an oo-based module to interface with FreeDB servers.
It also includes some basic cdrom methods to generate a cddbid and
get the required disc information required for a FreeDB query call.
These cdrom-based methods are provided as both static and method
calls.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-5.mga6
+ Revision: 1031072
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.100.0-4.mga6
+ Revision: 957801
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.100.0-3.mga6
+ Revision: 845048
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.100.0-2.mga6
+ Revision: 842503
- Rebuild for perl 5.22

* Tue Jun 23 2015 sander85 <sander85> 0.100.0-1.mga6
+ Revision: 840075
- update to 0.10

* Sun Oct 19 2014 umeabot <umeabot> 0.80.0-6.mga5
+ Revision: 788898
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 742476
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 685651
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.80.0-3.mga5
+ Revision: 631487
- Rebuild for perl 5.20

* Tue Oct 22 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 542353
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 497433
- imported package perl-Net-FreeDB

